* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

html {
    scroll-behavior: smooth;
}

:root {
    --primaria: #4f46e5;
    --secundaria: #7c3aed;
    --escuro: #0f172a;
    --maisEscuro: #0a0d1c;
    --claro: #e2e8f0;
    --vidro: rgba(255, 255, 255, 0.1);
}

body {
    background-color: var(--escuro);
    color: var(--claro);
}

.navbar {
    position: fixed;
    top: 0;
    background: rgba(15, 23, 42, 0.8);
    width: 100%;
    z-index: 100;
    padding: 1.5rem;
}

.menu {
    display: flex;
    list-style: none;
    gap: 3rem;
    justify-content: center;
}

.menu-link {
    color: var(--claro);
    text-decoration: none;
    font-weight: 500;
    position: relative;
    padding: 0.5rem 0;
}

.menu-link::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 2px;
    background: linear-gradient(90deg, var(--primaria), var(--secundaria));
}

.menu-link:hover::after {
    width: 100%;
    transition: width 0.4s ease;
}

.cabecalho {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.foto-perfil {
    width: 350px;
    height: 350px;
    border-radius: 50%;
    border: 4px solid var(--vidro);
    box-shadow: 0 0px 20px rgba(79, 70, 229, 0.3);
    animation: idleanimation 4s infinite ease-in-out;
}

h1 {
    font-size: 3.5rem;
    color: var(--primaria);
    font-weight: bold;
    margin: 20px;
}

.subtitulo {
    font-size: 3rem;
    color: var(--claro);
}

.sobre {
    padding: 6rem 2rem;
}

.sobre-titulo {
    font-size: 3rem;
    color: var(--claro);
    text-align: center;
    margin-bottom: 20px;
}

.sobre-caixa {
    padding: 2rem;
    max-width: 850px;
    margin: 0 auto;
    border-radius: 18px;
    border: 1px solid var(--vidro);
    backdrop-filter: blur(10px);
    background: rgba(255, 255, 255, 0.05);
}

.sobre-paragrafo {
    text-align: center;
    font-size: 1rem;
}

.projetos {
    padding: 6rem 2rem;
}

.projetos-titulo {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 40px;
}


.projetos-caixa {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 2rem;
    max-width: 1200px;
    margin: 0 auto;
}

.projeto-card{
    background: rgba(255, 255, 255, 0.05);
    border-radius: 15px;
    backdrop-filter: blur(10px);
    border: 1px solid var(--vidro);
    overflow: hidden;
    transition: all 0.4s ease;
    cursor: pointer;
}

.projeto-card:hover {
    box-shadow: 0 10px 20px rgba(79, 70, 229, 0.2);
    transform: translateY(-10px) scale(1.05);
}

.projeto-imagem {
    width: 100%;
    height: 200px;
    border-radius: 15px;
    object-fit: cover;
}

.projeto-nome{
    margin-bottom: 5px;
}

.projeto-descricao {
    color: rgba(226, 232, 240, 0.8);
    line-height: 1.25rem;
}

.projeto-link {
    text-decoration: none;
    color: var(--claro);
}

.caixa-texto-projeto {
    padding: 1.5rem;
}

.contato {
    padding: 6rem 2rem;
}

.contato-titulo {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 40px;
}

.formulario-contato {
    max-width: 600px;
    margin: 0 auto;
    backdrop-filter: blur(10px);
    background: rgba(255, 255, 255, 0.05);
    padding: 2rem;
    border: 1px solid var(--vidro);
    border-radius: 18px;

}



.campo-form {
   width: 100%;
    padding: 1rem;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 8px;
    color: var(--claro);
    border: 1px solid var(--vidro);
    outline: none;
}

.campo-form:focus{
    border-color: var(--secundaria);
    box-shadow: rgba(79, 70, 229, 0.3);
}

.grupo-form{
    margin-bottom: 1.5rem;
}

.botao-form {
    width: 100%;
    padding: 1rem;
    background: linear-gradient(90deg, var(--primaria), var(--secundaria));
    border: none;
    border-radius: 8px;
    color: var(--claro);
    font-weight: bold;
    cursor: pointer;
    transition: all 0.4s ease;
}

.botao-form:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(79, 70, 229, 0.2);
}

.fundo {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.5;
    background:
    radial-gradient(circle at 10% 20%, var(--primaria) 0%, transparent 20%),
    radial-gradient(circle at 90% 80%, var(--secundaria) 0%, transparent 20%),
    var(--maisEscuro);
    z-index: -1;
}

@keyframes idleanimation {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-22px);
    }
}

.rodape {
    text-align: center;
    padding: 1rem;
    background: rgba(15, 23, 42, 0.8);
    bottom: 0;
    width: 100%;
    color: var(--claro);
    font-size: 0.875rem;
}

.rodape-texto {
    margin: 0;
}

.redes-sociais {
    margin-top: 0.5rem;
}

.rede-social-link {
    color: var(--claro);
    margin: 0 0.5rem;
    text-decoration: none;
    font-size: 1.25rem;
    transition: color 0.4s ease;
}

.rede-social-link:hover {
    color: var(--primaria);
}

.rede-social-link:active {
    color: var(--secundaria);
}

.rede-social-link i {
    vertical-align: middle;
}

.rede-social-icone {
    margin-top: 1rem;
    font-size: 1.5rem;
    transition: all 0.4s ease;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 4px solid var(--vidro);
    box-shadow: 0 0px 20px rgba(79, 70, 229, 0.3);
}

.rede-social-icone:hover {
    color: var(--primaria);
    transform: scale(1.2);
    transform: translateY(-5px);
}

.botao-cv {
    padding: 1rem 2rem;
    background: linear-gradient(90deg, var(--primaria), var(--secundaria));
    border: none;
    border-radius: 8px;
    color: var(--claro);
    font-weight: bold;
    cursor: pointer;
    transition: all 0.4s ease;
    margin-top: 15px;
}

.botao-cv:hover {
    transform: translateX(-5px);
    box-shadow: 0 10px 20px rgba(79, 70, 229, 0.2);
}

.botaocv-texto {
    font-size: 1rem;
    font-weight: bold;
}









